Skip to Content

Sign mail history upload parts

Returns ten-minute presigned PUT URLs for up to 16 distinct, one-based part numbers.

POST
/v1/mailboxes/{id}/imports/{importId}/uploads/{archiveId}/parts

Returns ten-minute presigned PUT URLs for up to 16 distinct, one-based part numbers. Send each contiguous part with the returned sizeBytes as Content-Length and keep its ETag response header. Request fresh URLs as needed.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$
importId*string
archiveId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid

Request Body

application/json
  1. body
partNumbers*array<>
Items1 <= items <= 16

Response Body

Success

application/json
  1. response
parts*array<>
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.signImportUploadParts({
  "id": "example",
  "importId": "example",
  "archiveId": "example",
  "partNumbers": [
    1
  ]
});
Example Response
{
  "parts": [
    {
      "partNumber": 1,
      "sizeBytes": 1,
      "uploadUrl": "string"
    }
  ]
}

Related documentation